Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.content
Interface ICellContent

All Superinterfaces:
  IContainerContent, IContent, IElement

    public interface ICellContent

extends IContainerContent

Provides the interfaces for Cell Content

Field Summary

Fields inherited from interface org.eclipse.birt.report.engine.content.IContent
`AUTOTEXT_CONTENT, CELL_CONTENT, CONTAINER_CONTENT, DATA_CONTENT, DOCUMENT_EXTENSION, FOREIGN_CONTENT, GROUP_CONTENT, IMAGE_CONTENT, LABEL_CONTENT, LAYOUT_EXTENSION, LIST_BAND_CONTENT, LIST_CONTENT, LIST_GROUP_CONTENT, PAGE_CONTENT, ROW_CONTENT, SERIALIZE_CONTENT, TABLE_BAND_CONTENT, TABLE_CONTENT, TABLE_GROUP_CONTENT, TEXT_CONTENT`

Method Summary
`int` | `getColSpan()`
`int` | `getColumn()`
`IColumn` | `getColumnInstance()`
`boolean` | `getDisplayGroupIcon()`
`int` | `getRow()`
`int` | `getRowSpan()`
`void` | `setColSpan(int colSpan)`
`void` | `setColumn(int column)`
`void` | `setDisplayGroupIcon(boolean displayGroupIcon)`
`void` | `setRowSpan(int rowSpan)`

Methods inherited from interface org.eclipse.birt.report.engine.content.IContent
`accept, cloneContent, getACL, getBookmark, getContentType, getExtension, getGenerateBy, getHeight, getHelpText, getHyperlinkAction, getInlineStyle, getInstanceID, getName, getReportContent, getStyleClass, getTOC, getWidth, getX, getY, isDirectionRTL, isRTL, readContent, setACL, setBookmark, setExtension, setGenerateBy, setHeight, setHelpText, setHyperlinkAction, setInlineStyle, setInstanceID, setName, setReportContent, setStyleClass, setTOC, setWidth, setX, setY, writeContent`

Methods inherited from interface org.eclipse.birt.report.engine.content.IElement
`getChildren, getParent, setParent`

Method Detail

### getColSpan

    int getColSpan()

  Returns:
    the column span

### getRowSpan

    int getRowSpan()

  Returns:
    Returns the rowSpan.

### getColumn

    int getColumn()

  Returns:
    the column number

### getColumnInstance

    IColumn getColumnInstance()

  Returns:
    the column content.

### getRow

    int getRow()

  Returns:

### setColumn

    void setColumn(int column)

### setRowSpan

    void setRowSpan(int rowSpan)

### setColSpan

    void setColSpan(int colSpan)

### setDisplayGroupIcon

    void setDisplayGroupIcon(boolean displayGroupIcon)

### getDisplayGroupIcon

    boolean getDisplayGroupIcon()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.